
from huggingsound import SpeechRecognitionModel

use_decoder = True
sample_path = ["test.mp3"]

model = SpeechRecognitionModel("jonatasgrosman/wav2vec2-large-xlsr-53-german")

if use_decoder:
	from huggingsound import KenshoLMDecoder
	lm_path = "../files/lm.binary"
	unigrams_path = "../files/unigrams.txt"
	decoder = KenshoLMDecoder(model.token_set, lm_path=lm_path, unigrams_path=unigrams_path)
	transcriptions = model.transcribe(sample_path, decoder=decoder)
else:
	transcriptions = model.transcribe(sample_path)

print(transcriptions)